import React from "react";
/**
 * ============================================================================
 * GridList Types
 * ============================================================================
 */
interface GridListItemData {
    key: string;
    height: number;
}
/**
 * ============================================================================
 * GridList
 * ============================================================================
 */
export interface GridListProps<P> {
    items: P[];
    getGridGap?: (elementWidth: number, windowHeight: number) => number;
    getWindowMargin?: (windowHeight: number) => number;
    getColumnCount: (elementWidth: number, gridGap: number) => number;
    getItemData: (item: P, columnWidth: number) => GridListItemData;
    renderItem: (item: P) => React.ReactNode;
    fixedColumnWidth?: number;
}
export default function GridList<P>(props: GridListProps<P>): JSX.Element;
export {};
